Labels
Labels are tags that can be attached to any entity in TribeCRM for categorisation and filtering. They are grouped into label categories.
Use the Label endpoint to query and manage labels. You can also access them via the Labels navigation property on any entity.
Endpoints
List Labels
GET
/v1/odata/LabelSingle Label
GET
/v1/odata/Label({id})Create Label
POST
/v1/odata/LabelUpdate Label
PUT
/v1/odata/Label({id})Delete Label
DELETE
/v1/odata/Label({id})Fields
Label Fields
| Field | Type | Description |
|---|---|---|
Name | String | Label name |
IsInactive | Boolean | Whether the label is inactive |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Entities | Entity | 1:N | Entities tagged with this label |
| LabelCategory | LabelCategory | N:1 | Label category |
Expanding Relationships
GET
/v1/odata/Label({id})?$expand=EntitiesNavigating Relationships
GET
/v1/odata/Label({id})/EntitiesFiltering Examples
GET
/v1/odata/Label?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Label?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Label?$filter=IsInactive eq {IsInactive}&$top={top}